Bug 46717 - Wrong Session Expiration because of non thread-safe code
Summary: Wrong Session Expiration because of non thread-safe code
Status: RESOLVED FIXED
Alias: None
Product: Tomcat 5
Classification: Unclassified
Component: Catalina (show other bugs)
Version: 5.5.27
Hardware: All All
: P2 major (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-16 12:59 UTC by Robert Schmelzer
Modified: 2009-06-04 06:46 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Schmelzer 2009-02-16 12:59:35 UTC
This issues documneted and fixed in 6.0 does also affect 5.5.27:

https://issues.apache.org/bugzilla/show_bug.cgi?id=46085

This problem occures very often with JVM IBM / Multi-Core Maschine becuase its bascially related to the Java Memory Modell and this combination uses Memory Optimization much more.
Comment 1 Mark Thomas 2009-02-19 14:57:56 UTC
I have proposed the same fix for 5.5.x
Comment 2 Mark Thomas 2009-06-04 06:46:02 UTC
This has been fixed in 5.5.x and will be included in 5.5.28 onwards.